<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="/bower_components/nebula-dispatch/nebula-dispatch.html">

<link rel="import" href="log-entry.html">

<!--
`<l1page-log-list>` is not documented properly yet
-->
<dom-module id="l1page-log-list">
  <template>
    <link rel="stylesheet" href="l1page-log-list.css?__inline=true">
    <style include="l1page-theme"></style>

    <section no-content hide$=[[!_isEmpty(logs.length)]]>
      <img src="/elements/l1-page/island.svg">
      <p hide$=[[!isInRun(runData.triggerState)]]>time to relax and check DQM</p>
      <p hide$=[[isInRun(runData.triggerState)]]>not in run, ignoring logs</p>
    </section>
    <section list hide$=[[_isEmpty(logs.length)]]>
      <dom-repeat items=[[logs]] as=entry sort=_sortLogs>
        <template>
          <log-entry severity=[[entry.severity]]
                     title=[[entry.subsystem]]
                     subtitle="[[_getLogEntrySubtitle(entry.app, entry.name)]]"
                     message=[[entry.message]]
                     on-click="_handleClick">
            <paper-icon-button icon=launch on-click=_openApp></paper-icon-button>
          </log-entry>
        </template>
      </dom-repeat>
    </section>


    <slot></slot>
  </template>
</dom-module>

<script src="l1page-log-list.js?__inline=true"></script>
